Neplatný návrh engine
Při tomto problému API vrací 422 Unprocessable Content. Hodnota type je https://lingo.dev/docs/api/errors/engine-suggestion-invalid. Společnou strukturu všech chyb najdete v části Chyby a stavové kódy.
Tento návrh engine nelze použít. Text pravidla je prázdný. Zamítněte návrh.
Pole#
Kromě standardních položek type, status, title a detail obsahuje tělo odpovědi následující pole. Z nich se sestavuje text detail, takže klient může místo něj zobrazit vlastní text.
| Pole | Typ |
|---|---|
id | string |
reason | "ruleTextEmpty" | "changeUnreadable" | GlossaryTermTextEmpty | GlossaryTermLocaleNotCovered | GlossaryTermTargetAmbiguous | GlossaryTermWildcardTranslated |
Příklad#
json
{
"detail": "Cannot apply this engine suggestion. Its rule text is empty. Dismiss it.",
"id": "<id>",
"reason": "ruleTextEmpty",
"type": "https://lingo.dev/docs/api/errors/engine-suggestion-invalid",
"status": 422,
"title": "Engine suggestion invalid"
}Koncové body vracející tuto chybu#
POST /v2/engine-suggestions/{id}/apply